# -*- rpm-spec -*-
# $Id: madwifi-source.spec,v 1.1 2004/04/14 17:16:05 ab Exp $
##
%define module_name	madwifi
%define module_version	0.8.5.4

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt1
Provides: kernel-source-%module_name-%module_version
Summary: Linux %module_name Atheros WiFi chipset series module sources
License: GPL or BSD
Group: Development/Kernel
Url: http://sourceforge.net/projects/madwifi/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-%module_version.tar.bz2

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep
%setup -q -n %module_name-%module_version

%install
%__mkdir_p %kernel_srcdir

pushd ..
tar jcf %kernel_srcdir/%name-%version.tar.bz2 %module_name-%module_version
popd

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Wed Apr 14 2004 Alexander Bokovoy <ab@altlinux.ru> 0.8.5.4-alt1
- 0.8.5.4

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt4
- Fixed:
   + -O2 was missed from COPTS in Makefile.inc

* Thu Sep 18 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt3
- Snapshot of 2003/09/18
- Added:
   + Patch from Tom Marshall to fix:
     + link quality reporting
     + Cisco VPN client interoperability
     + Transfer speed for WEP-enabled 802.11g 
       (~20Mbit/s on OSI level 7 now, was about 1Mbit/s)

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt2
- Snapshot of 2003/08/22
- Fixed:
   + Some 'NETDEV WATCHDOG: ath0: transmit timed out' errors
   + Hangs during module removal
- Added:
   + ADHOC mode enabled

* Sat Aug 16 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt1
- Initial release





